| Airoha M0 BLE API 1.0.5.4

Data Structures | Enumerations | Functions
service_human_interface_device.h

## Data Structures
struct | hids_char_report_map_t
| Report map characteristic initialization parameters. More...
struct | hids_char_hid_information_t
| HID information characteristic initialization parameters. More...
struct | hids_char_hid_control_point_t
| HID control point characteristic initialization parameters. More...
struct | hids_init_para
| Human information service initialization parameters. More...
struct | hids_report_para
| HID report characteristic initialization parameter. More...

## Enumerations
enum | HIDS_REPORT_TYPE { HID_REPORT_INPUT = 1, HID_REPORT_OUTPUT = 2, HID_REPORT_FEATURE = 3 }
| HID report type. More...

## Functions
void | HIDS_init (hids_init_para *para)
| Initialization function of human interface device service. More...
att_handle | HIDS_add_report (hids_report_para *para)
| Initialization function of human interface device service. More...

## [Defines]
defines used by hids_char_report_map_t.
#define | MAX_EXT_REP_REF_NUM 5
#define | MAX_INCLUDED_SERVICE_NUM 3

## Detailed Description

### service_human_interface_device.h

service_human_interface_device.h provides an easy way to implement human interface device service.

## Macro Definition Documentation

## ◆ MAX_EXT_REP_REF_NUM

#define MAX_EXT_REP_REF_NUM 5

maximum number of external report reference

## ◆ MAX_INCLUDED_SERVICE_NUM

#define MAX_INCLUDED_SERVICE_NUM 3

maximum number of included services

## Enumeration Type Documentation

## ◆ HIDS_REPORT_TYPE

enum HIDS_REPORT_TYPE

HID report type.

Enumerator
HID_REPORT_INPUT | 1
HID_REPORT_OUTPUT | 2
HID_REPORT_FEATURE | 3

## Function Documentation

## ◆ HIDS_init()

void HIDS_init | ( | hids_init_para * | para | ) |

Initialization function of human interface device service.

Parameters

  para | hids_init_para.

Returns
  None.

## ◆ HIDS_add_report()

att_handle HIDS_add_report | ( | hids_report_para * | para | ) |

Initialization function of human interface device service.

Parameters

  para | hids_report_para.

Returns
  att_handle attribute handle of report characteristic value.

Attention
  HID service requires at least one report characteristic.